summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
authorAndy Wingo <wingo@pobox.com>2001-12-22 01:59:48 +0000
committerAndy Wingo <wingo@pobox.com>2001-12-22 01:59:48 +0000
commit6da1174f97b17c61e8974af1f543628e4af2725d (patch)
treef151f20937d9a906f6f2754b6a00bdd85cd6ac28 /autogen.sh
parentf048083eec4d86e42627cb91043c31164928b3f7 (diff)
sync gst-plugins autogen.sh to gstreamer version
Original commit message from CVS: sync gst-plugins autogen.sh to gstreamer version
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh38
1 files changed, 32 insertions, 6 deletions
diff --git a/autogen.sh b/autogen.sh
index 73793c61..b243f8f2 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -5,7 +5,25 @@ DIE=0
package=gstreamer-plugins
srcfile=sys/oss/Makefile.am
#DEBUG=defined
-if test "x$1" = "x-d"; then echo "+ debug output enabled"; DEBUG=defined; fi
+
+for i in $@; do
+ if test "$i" = "--autogen-noconfigure"; then
+ NOCONFIGURE=defined
+ echo "+ configure run disabled"
+ elif test "$i" = "--autogen-nocheck"; then
+ NOCHECK=defined
+ echo "+ autotools version check disabled"
+ elif test "$i" = "--autogen-debug"; then
+ DEBUG=defined
+ echo "+ debug output enabled"
+ elif test "$i" = "--help"; then
+ echo "autogen.sh help options: "
+ echo " --autogen-noconfigure don't run the configure script"
+ echo " --autogen-nocheck don't do version checks"
+ echo " --autogen-debug debug the autogen process"
+ echo "continuing with the autogen in order to get configure help messages..."
+ fi
+done
debug ()
# print out a debug message if DEBUG is a defined variable
@@ -36,7 +54,14 @@ version_check ()
if test ! -z "$MICRO"; then VERSION=$VERSION.$MICRO; else MICRO=0; fi
debug "major $MAJOR minor $MINOR micro $MICRO"
- echo -n "+ checking for $1 >= $VERSION ... "
+
+ test -z "$NOCHECK" && {
+ echo -n "+ checking for $1 >= $VERSION ... "
+ } || {
+ echo "+ NOT checking for $1 >= $VERSION, as requested ..."
+ return 0
+ }
+
($PACKAGE --version) < /dev/null > /dev/null 2>&1 ||
{
echo
@@ -146,10 +171,6 @@ automake -a -c || {
exit 1
}
-# now remove the cache, because it can be considered dangerous in this case
-#echo "+ removing config.cache ... "
-#rm -f config.cache
-
CONFIGURE_OPT='--enable-maintainer-mode --enable-plugin-builddir --enable-debug --enable-DEBUG'
# if enable exists, add an -enable option for each of the lines in that file
@@ -166,6 +187,11 @@ if test -f disable; then
done
fi
+test -n "$NOCONFIGURE" && {
+ echo "skipping configure stage for package $package, as requested."
+ echo "autogen.sh done."
+ exit 0
+}
echo "+ running configure ... "
echo "./configure default flags: $CONFIGURE_OPT"